> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seamind.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Remove Courses

> Bulk remove courses from multiple assignments.

Silently skips assignments that don't have a given course.
Requires admin role.



## OpenAPI

````yaml /openapi.json post /api/v1/learn/assignments/bulk/remove-courses
openapi: 3.1.0
info:
  title: Seamind Backend
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/learn/assignments/bulk/remove-courses:
    post:
      tags:
        - learn-assignments
      summary: Bulk Remove Courses
      description: |-
        Bulk remove courses from multiple assignments.

        Silently skips assignments that don't have a given course.
        Requires admin role.
      operationId: bulk_remove_courses_api_v1_learn_assignments_bulk_remove_courses_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkRemoveCoursesRequestDTO'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkRemoveCoursesResponseDTO'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    BulkRemoveCoursesRequestDTO:
      properties:
        assignmentIds:
          items:
            type: string
            format: uuid
          type: array
          title: Assignmentids
        courseIds:
          items:
            type: string
            format: uuid
          type: array
          title: Courseids
      type: object
      required:
        - assignmentIds
        - courseIds
      title: BulkRemoveCoursesRequestDTO
      description: Request to bulk remove courses from multiple assignments.
    BulkRemoveCoursesResponseDTO:
      properties:
        updatedCount:
          type: integer
          title: Updatedcount
        totalCoursesRemoved:
          type: integer
          title: Totalcoursesremoved
        failedAssignmentIds:
          items:
            type: string
            format: uuid
          type: array
          title: Failedassignmentids
          default: []
      type: object
      required:
        - updatedCount
        - totalCoursesRemoved
      title: BulkRemoveCoursesResponseDTO
      description: Response from bulk course removal.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````